This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013626 - modifyrepo with --remove param doesn't delete metadata file
modifyrepo with --remove param doesn't delete metadata file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 09:19 EDT by Tomas Mlcoch
Modified: 2013-10-29 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: createrepo-0.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:54:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mlcoch 2013-09-30 09:19:00 EDT
Description of problem:
Whether the metadata file is deleted from the repodata/ directory depends on the current working directory.
Modifyrepo tries to remove only path obtained from the repomd.xml (e.g. repodata/8e649c0fa0976b0ebe230a7f379c2007c8b3da4d21ffae0308da4680d1c742c3-other.xml.gz).

Modifyrepo should use the path that is passed as the command-line argument.

Version-Release number of selected component (if applicable):
Name        : createrepo
Version     : 0.9.9
Release     : 21.fc19

How reproducible:
always
Comment 1 Fedora Update System 2013-10-01 07:54:44 EDT
createrepo-0.9.9-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.9.9-23.fc19
Comment 2 Fedora Update System 2013-10-02 02:50:38 EDT
Package createrepo-0.9.9-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing createrepo-0.9.9-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18128/createrepo-0.9.9-23.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-18 09:09:35 EDT
createrepo-0.10-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-0.fc19
Comment 4 Fedora Update System 2013-10-22 03:33:03 EDT
createrepo-0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-1.fc19
Comment 5 Fedora Update System 2013-10-29 21:54:22 EDT
createrepo-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.